import request from '@/utils/request'

// 查询扩容记录列表
export function listCsExpansionRecord(query) {
  return request({
    url: '/cs/csExpansionRecord/list',
    method: 'get',
    params: query
  })
}

// 查询扩容记录详细
export function getCsExpansionRecord(expansionRecordId) {
  return request({
    url: '/cs/csExpansionRecord/' + expansionRecordId,
    method: 'get'
  })
}

// 新增扩容记录
export function addCsExpansionRecord(data) {
  return request({
    url: '/cs/csExpansionRecord',
    method: 'post',
    data: data
  })
}

// 修改扩容记录
export function updateCsExpansionRecord(data) {
  return request({
    url: '/cs/csExpansionRecord',
    method: 'put',
    data: data
  })
}

// 删除扩容记录
export function delCsExpansionRecord(expansionRecordId) {
  return request({
    url: '/cs/csExpansionRecord/' + expansionRecordId,
    method: 'delete'
  })
}
// 查询用户列表
export function searchMemberList(query) {
  return request({
    url: '/cs/csExpansionRecord/searchMemberList',
    method: 'get',
    params: query
  })
}

// 查询单位列表
export function searchCompanyList(query) {
  return request({
    url: '/cs/csExpansionRecord/searchCompanyList',
    method: 'get',
    params: query
  })
}
